Overview | Package | Class | Use | Tree | Index | Help
| NASA World Wind
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gov.nasa.worldwind.layers
Class RpfLayer

    java.lang.Object
      gov.nasa.worldwind.AVListImpl
          gov.nasa.worldwind.WWObjectImpl
              gov.nasa.worldwind.layers.AbstractLayer
                  gov.nasa.worldwind.layers.RpfLayer

All Implemented Interfaces:
  AVList, Disposable, Layer, WWObject, PropertyChangeListener, EventListener

    public class RpfLayer

extends AbstractLayer

Field Summary
`static Angle` | `DefaultDeltaLat`
`static Angle` | `DefaultDeltaLon`

Fields inherited from class gov.nasa.worldwind.AVListImpl
`changeSupport`

Constructor Summary
`RpfLayer(gov.nasa.worldwind.formats.rpf.RpfDataSeries dataSeries)`
`RpfLayer(gov.nasa.worldwind.formats.rpf.RpfDataSeries dataSeries, Angle deltaLat, Angle deltaLon)`
`RpfLayer(gov.nasa.worldwind.formats.rpf.RpfDataSeries dataSeries, Angle deltaLat, Angle deltaLon, MemoryCache sharedMemoryCache)`

Method Summary
`int` | `addAll(Collection<gov.nasa.worldwind.formats.rpf.RpfTocFile> tocFiles)`
`int` | `addContents(gov.nasa.worldwind.formats.rpf.RpfTocFile tocFile)`
`void` | `dispose()`
`protected void` | `doRender(DrawContext dc)`
`static long` | `estimateMemoryCacheCapacity(gov.nasa.worldwind.formats.rpf.RpfDataSeries dataSeries, Angle deltaLat, Angle deltaLon)`
`WWIcon` | `getCoverageIcon()`
`int` | `getTileGridDrawThreshold()`
`Angle` | `getViewingDeltaLat()`
`Angle` | `getViewingDeltaLon()`
`boolean` | `isDrawCoverage()`
`boolean` | `isDrawCoverageIcon()`
`int` | `removeAll(Collection<gov.nasa.worldwind.formats.rpf.RpfTocFile> tocFiles)`
`int` | `removeContents(gov.nasa.worldwind.formats.rpf.RpfTocFile tocFile)`
`void` | `setCoverageIcon(WWIcon icon)`
`void` | `setDrawCoverage(boolean drawCoverage)`
`void` | `setDrawCoverageIcon(boolean drawCoverageIcon)`
`void` | `setTileGridDrawThreshold(int pixelSize)`
`void` | `setViewingDeltaLat(Angle deltaLat)`
`void` | `setViewingDeltaLon(Angle deltaLon)`
`String` | `toString()`

Methods inherited from class gov.nasa.worldwind.layers.AbstractLayer
`doPick, getMaxActiveAltitude, getMinActiveAltitude, getName, getOpacity, isEnabled, isLayerActive, isLayerInView, isPickEnabled, pick, render, setEnabled, setMaxActiveAltitude, setMinActiveAltitude, setName, setOpacity, setPickEnabled`

Methods inherited from class gov.nasa.worldwind.AVListImpl
`addPropertyChangeListener, addPropertyChangeListener, copy, firePropertyChange, firePropertyChange, getStringValue, getValue, hasKey, propertyChange, removeKey, removePropertyChangeListener, removePropertyChangeListener, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface gov.nasa.worldwind.AVList
`addPropertyChangeListener, addPropertyChangeListener, copy, firePropertyChange, firePropertyChange, getStringValue, getValue, hasKey, removeKey, removePropertyChangeListener, removePropertyChangeListener, setValue`

Methods inherited from interface java.beans.PropertyChangeListener
`propertyChange`

Field Detail

### DefaultDeltaLat

    public static final Angle DefaultDeltaLat

### DefaultDeltaLon

    public static final Angle DefaultDeltaLon

Constructor Detail

### RpfLayer

    public RpfLayer(gov.nasa.worldwind.formats.rpf.RpfDataSeries dataSeries)

### RpfLayer

    public RpfLayer(gov.nasa.worldwind.formats.rpf.RpfDataSeries dataSeries,
                    Angle deltaLat,
                    Angle deltaLon)

### RpfLayer

    public RpfLayer(gov.nasa.worldwind.formats.rpf.RpfDataSeries dataSeries,
                    Angle deltaLat,
                    Angle deltaLon,
                    MemoryCache sharedMemoryCache)

Method Detail

### addAll

    public int addAll(Collection<gov.nasa.worldwind.formats.rpf.RpfTocFile> tocFiles)

### addContents

    public int addContents(gov.nasa.worldwind.formats.rpf.RpfTocFile tocFile)

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `Disposable`
  Overrides:
    `dispose` in class `AbstractLayer`

### doRender

    protected void doRender(DrawContext dc)

  Specified by:
    `doRender` in class `AbstractLayer`

### estimateMemoryCacheCapacity

    public static long estimateMemoryCacheCapacity(gov.nasa.worldwind.formats.rpf.RpfDataSeries dataSeries,
                                                   Angle deltaLat,
                                                   Angle deltaLon)

### getCoverageIcon

    public WWIcon getCoverageIcon()

### getTileGridDrawThreshold

    public int getTileGridDrawThreshold()

### getViewingDeltaLat

    public Angle getViewingDeltaLat()

### getViewingDeltaLon

    public Angle getViewingDeltaLon()

### isDrawCoverage

    public boolean isDrawCoverage()

### isDrawCoverageIcon

    public boolean isDrawCoverageIcon()

### removeAll

    public int removeAll(Collection<gov.nasa.worldwind.formats.rpf.RpfTocFile> tocFiles)

### removeContents

    public int removeContents(gov.nasa.worldwind.formats.rpf.RpfTocFile tocFile)

### setCoverageIcon

    public void setCoverageIcon(WWIcon icon)

### setDrawCoverage

    public void setDrawCoverage(boolean drawCoverage)

### setDrawCoverageIcon

    public void setDrawCoverageIcon(boolean drawCoverageIcon)

### setTileGridDrawThreshold

    public void setTileGridDrawThreshold(int pixelSize)

### setViewingDeltaLat

    public void setViewingDeltaLat(Angle deltaLat)

### setViewingDeltaLon

    public void setViewingDeltaLon(Angle deltaLon)

### toString

    public String toString()

  Overrides:
    `toString` in class `AbstractLayer`

Overview | Package | Class | Use | Tree | Index | Help
| NASA World Wind
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD